Bug 827654 - Fedora 18 installer displays nothing on MacBook 3,1 internal display
Fedora 18 installer displays nothing on MacBook 3,1 internal display
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
RejectedBlocker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 23:25 EDT by Takanori MATSUURA
Modified: 2013-08-01 16:18 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 16:18:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Short video of the graphic corruption I´m seeing (2.07 MB, video/mp4)
2013-03-28 05:07 EDT, Diego Escalante Urrelo
no flags Details

  None (edit)
Description Takanori MATSUURA 2012-06-01 23:25:52 EDT
Description of problem:
Fedora 17 installer cannot boot on MacBook 3,1.

How reproducible:
everytime

Steps to Reproduce:
1. Write images to DVD or USB stick
2. Boot with pushing option(alt) key on MacBook
3. Select "Fedora media" or "EFI boot"
  
Actual results:
Grub counts down to boot. No other action after that.

Expected results:
Boot Fedora 17 installer.


Additional info:
I've tried:
* Live image from USB
* DVD image from USB
* DVD image from DVD
* netinst image from USB

After booting is stopped, disk access is occurred for some seconds by typing enter key. However boot process doesn't going ahead.

For Fedora 16 installer, success rate of booting is extreamly low (one out of 20 or more). I suppose this bug is not fixed yet.
Comment 1 Takanori MATSUURA 2012-06-03 12:01:40 EDT
Alt+N ("Next" on anaconda) also make some disk access.

Based on circumstantial evidence, I guess boot is succeeded and anaconda runs properly except for video output. I think there is something wrong with video driver for xorg-x11. But I'm not sure.


On Fedora 16, MacBook 3,1 uses xorg-x11-drv-intel driver.
GPU info on Fedora 16:
$ lspci |grep VGA
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) (rev 03)

$ dmesg | grep agp
[    0.595081] Linux agpgart interface v0.103
[    0.595157] agpgart-intel 0000:00:00.0: Intel 965GM Chipset
[    0.595751] agpgart-intel 0000:00:00.0: detected gtt size: 524288K total, 262144K mappable
[    0.597367] agpgart-intel 0000:00:00.0: detected 16384K stolen memory
[    0.597490] agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0x80000000
Comment 2 walker.aj325 2012-06-05 05:11:03 EDT
I have the same problem on a MacBook 4.1 (same graphics card). I completed the install by connecting a secondary display to my macbook. Post-install the main display on my macbook is not working. 

"xrandr -q" yields the following

Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 8192 x 8192
VGA1 disconnected (normal left inverted right x axis y axis)
DVI1 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 338mm x 270mm
   1280x1024      60.0*+
   1152x864       75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  

My .xsession-errors file contains the following entry:

[1338864744,000,xklavier.c:xkl_engine_start_listen/]    The backend does not require manual layout management - but it is provided by the application
=== Applying Configuration Configuration ===
  Clone: false
  Output: (null) attached to VGA1
     status: off
     width: -1
     height: -1
     rate: -1
     primary: false
     position: -1 -1

 Output: Westinghouse Digital Electronics 17" attached to DVI1
     status: on
     width: 1280
     height: 1024
     rate: 60
     primary: false
     position: 0 0
Comment 3 walker.aj325 2012-06-05 05:21:04 EDT
Contents of /var/log/Xorg.0.log

X.Org X Server 1.12.0
Release Date: 2012-03-04
[    65.694] X Protocol Version 11, Revision 0
[    65.694] Build Operating System: x86-01 2.6.32-220.4.1.el6.x86_64 
[    65.694] Current Operating System: Linux fedora.macbook 3.3.4-5.fc17.x86_64 #1 SMP Mon May 7 17:29:34 UTC 2012 x86_64
[    65.695] Kernel command line: rd.md=0 rd.dm=0 root=/dev/mapper/vg_fedora-lv_root rd.lvm.lv=vg_fedora/lv_swap  KEYTABLE=us SYSFONT=True rd.lvm.lv=vg_fedora/lv_root rd.luks=0 ro LANG=en_US.UTF-8 rhgb quiet
[    65.695] Build Date: 14 March 2012  03:02:21PM
[    65.695] Build ID: xorg-x11-server 1.12.0-2.fc17 
[    65.695] Current version of pixman: 0.24.4
[    65.695] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[    65.695] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    65.695] (==) Log file: "/var/log/Xorg.0.log", Time: Tue Jun  5 08:51:40 2012
[    65.695] (==) Using config directory: "/etc/X11/xorg.conf.d"
[    65.695] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    65.695] (==) No Layout section.  Using the first Screen section.
[    65.695] (==) No screen section available. Using defaults.
[    65.695] (**) |-->Screen "Default Screen Section" (0)
[    65.695] (**) |   |-->Monitor "<default monitor>"
[    65.695] (==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
[    65.695] (==) Automatically adding devices
[    65.695] (==) Automatically enabling devices
[    65.696] (==) FontPath set to:
	catalogue:/etc/X11/fontpath.d,
	built-ins
[    65.696] (==) ModulePath set to "/usr/lib64/xorg/modules"
[    65.696] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[    65.696] (II) Loader magic: 0x7c5ac0
[    65.696] (II) Module ABI versions:
[    65.696] 	X.Org ANSI C Emulation: 0.4
[    65.696] 	X.Org Video Driver: 12.0
[    65.696] 	X.Org XInput driver : 16.0
[    65.696] 	X.Org Server Extension : 6.0
[    65.697] (--) PCI:*(0:0:2:0) 8086:2a02:106b:00a1 rev 3, Mem @ 0x90100000/1048576, 0x80000000/268435456, I/O @ 0x00006110/8, BIOS @ 0x????????/131072
[    65.697] (--) PCI: (0:0:2:1) 8086:2a03:106b:00a1 rev 3, Mem @ 0x90200000/1048576, BIOS @ 0x????????/65536
[    65.697] (II) LoadModule: "extmod"
[    65.697] (II) Loading /usr/lib64/xorg/modules/extensions/libextmod.so
[    65.698] (II) Module extmod: vendor="X.Org Foundation"
[    65.698] 	compiled for 1.12.0, module version = 1.0.0
[    65.698] 	Module class: X.Org Server Extension
[    65.698] 	ABI class: X.Org Server Extension, version 6.0
[    65.698] (II) Loading extension SELinux
[    65.698] (II) Loading extension MIT-SCREEN-SAVER
[    65.698] (II) Loading extension XFree86-VidModeExtension
[    65.698] (II) Loading extension XFree86-DGA
[    65.698] (II) Loading extension DPMS
[    65.698] (II) Loading extension XVideo
[    65.698] (II) Loading extension XVideo-MotionCompensation
[    65.698] (II) Loading extension X-Resource
[    65.698] (II) LoadModule: "dbe"
[    65.698] (II) Loading /usr/lib64/xorg/modules/extensions/libdbe.so
[    65.698] (II) Module dbe: vendor="X.Org Foundation"
[    65.698] 	compiled for 1.12.0, module version = 1.0.0
[    65.698] 	Module class: X.Org Server Extension
[    65.698] 	ABI class: X.Org Server Extension, version 6.0
[    65.698] (II) Loading extension DOUBLE-BUFFER
[    65.698] (II) LoadModule: "glx"
[    65.698] (II) Loading /usr/lib64/xorg/modules/extensions/libglx.so
[    65.698] (II) Module glx: vendor="X.Org Foundation"
[    65.698] 	compiled for 1.12.0, module version = 1.0.0
[    65.698] 	ABI class: X.Org Server Extension, version 6.0
[    65.698] (==) AIGLX enabled
[    65.698] (II) Loading extension GLX
[    65.698] (II) LoadModule: "record"
[    65.699] (II) Loading /usr/lib64/xorg/modules/extensions/librecord.so
[    65.699] (II) Module record: vendor="X.Org Foundation"
[    65.699] 	compiled for 1.12.0, module version = 1.13.0
[    65.699] 	Module class: X.Org Server Extension
[    65.699] 	ABI class: X.Org Server Extension, version 6.0
[    65.699] (II) Loading extension RECORD
[    65.699] (II) LoadModule: "dri"
[    65.699] (II) Loading /usr/lib64/xorg/modules/extensions/libdri.so
[    65.699] (II) Module dri: vendor="X.Org Foundation"
[    65.699] 	compiled for 1.12.0, module version = 1.0.0
[    65.699] 	ABI class: X.Org Server Extension, version 6.0
[    65.699] (II) Loading extension XFree86-DRI
[    65.699] (II) LoadModule: "dri2"
[    65.699] (II) Loading /usr/lib64/xorg/modules/extensions/libdri2.so
[    65.699] (II) Module dri2: vendor="X.Org Foundation"
[    65.699] 	compiled for 1.12.0, module version = 1.2.0
[    65.699] 	ABI class: X.Org Server Extension, version 6.0
[    65.699] (II) Loading extension DRI2
[    65.699] (==) Matched intel as autoconfigured driver 0
[    65.699] (==) Matched vesa as autoconfigured driver 1
[    65.699] (==) Matched fbdev as autoconfigured driver 2
[    65.699] (==) Assigned the driver to the xf86ConfigLayout
[    65.699] (II) LoadModule: "intel"
[    65.699] (II) Loading /usr/lib64/xorg/modules/drivers/intel_drv.so
[    65.700] (II) Module intel: vendor="X.Org Foundation"
[    65.700] 	compiled for 1.12.0, module version = 2.19.0
[    65.700] 	Module class: X.Org Video Driver
[    65.700] 	ABI class: X.Org Video Driver, version 12.0
[    65.700] (II) LoadModule: "vesa"
[    65.700] (II) Loading /usr/lib64/xorg/modules/drivers/vesa_drv.so
[    65.700] (II) Module vesa: vendor="X.Org Foundation"
[    65.700] 	compiled for 1.11.99.901, module version = 2.3.0
[    65.700] 	Module class: X.Org Video Driver
[    65.700] 	ABI class: X.Org Video Driver, version 12.0
[    65.700] (II) LoadModule: "fbdev"
[    65.700] (II) Loading /usr/lib64/xorg/modules/drivers/fbdev_drv.so
[    65.700] (II) Module fbdev: vendor="X.Org Foundation"
[    65.700] 	compiled for 1.11.99.901, module version = 0.4.2
[    65.700] 	ABI class: X.Org Video Driver, version 12.0
[    65.700] (II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
	965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
	4 Series, G45/G43, Q45/Q43, G41, B43, B43, Clarkdale, Arrandale,
	Sandybridge Desktop (GT1), Sandybridge Desktop (GT2),
	Sandybridge Desktop (GT2+), Sandybridge Mobile (GT1),
	Sandybridge Mobile (GT2), Sandybridge Mobile (GT2+),
	Sandybridge Server, Ivybridge Mobile (GT1), Ivybridge Mobile (GT2),
	Ivybridge Desktop (GT1), Ivybridge Desktop (GT2), Ivybridge Server,
	Ivybridge Server (GT2)
[    65.701] (II) VESA: driver for VESA chipsets: vesa
[    65.701] (II) FBDEV: driver for framebuffer: fbdev
[    65.701] (--) using VT number 2

[    65.710] (WW) Falling back to old probe method for vesa
[    65.710] (WW) Falling back to old probe method for fbdev
[    65.710] (II) Loading sub module "fbdevhw"
[    65.710] (II) LoadModule: "fbdevhw"
[    65.710] (II) Loading /usr/lib64/xorg/modules/libfbdevhw.so
[    65.711] (II) Module fbdevhw: vendor="X.Org Foundation"
[    65.711] 	compiled for 1.12.0, module version = 0.0.2
[    65.711] 	ABI class: X.Org Video Driver, version 12.0
[    65.711] drmOpenDevice: node name is /dev/dri/card0
[    65.711] drmOpenDevice: open result is 8, (OK)
[    65.711] drmOpenByBusid: Searching for BusID pci:0000:00:02.0
[    65.711] drmOpenDevice: node name is /dev/dri/card0
[    65.711] drmOpenDevice: open result is 8, (OK)
[    65.711] drmOpenByBusid: drmOpenMinor returns 8
[    65.711] drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
[    65.711] (II) intel(0): Creating default Display subsection in Screen section
	"Default Screen Section" for depth/fbbpp 24/32
[    65.711] (==) intel(0): Depth 24, (--) framebuffer bpp 32
[    65.711] (==) intel(0): RGB weight 888
[    65.711] (==) intel(0): Default visual is TrueColor
[    65.711] (II) intel(0): Integrated Graphics Chipset: Intel(R) 965GM
[    65.711] (--) intel(0): Chipset: "965GM"
[    65.711] (**) intel(0): Relaxed fencing enabled
[    65.711] (**) intel(0): Wait on SwapBuffers? enabled
[    65.711] (**) intel(0): Triple buffering? enabled
[    65.711] (**) intel(0): Framebuffer tiled
[    65.711] (**) intel(0): Pixmaps tiled
[    65.711] (**) intel(0): 3D buffers tiled
[    65.711] (**) intel(0): SwapBuffers wait enabled
[    65.711] (==) intel(0): video overlay key set to 0x101fe
[    65.727] (II) intel(0): Output VGA1 has no monitor section
[    65.898] (II) intel(0): Output DVI1 has no monitor section
[    65.915] (II) intel(0): EDID for output VGA1
[    66.086] (II) intel(0): EDID for output DVI1
[    66.086] (II) intel(0): Manufacturer: WDE  Model: 1708  Serial#: 16843009
[    66.086] (II) intel(0): Year: 2006  Week: 16
[    66.086] (II) intel(0): EDID Version: 1.3
[    66.087] (II) intel(0): Digital Display Input
[    66.087] (II) intel(0): Max Image Size [cm]: horiz.: 34  vert.: 27
[    66.087] (II) intel(0): Gamma: 2.20
[    66.087] (II) intel(0): DPMS capabilities: StandBy Suspend Off
[    66.087] (II) intel(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
[    66.087] (II) intel(0): Default color space is primary color space
[    66.087] (II) intel(0): First detailed timing is preferred mode
[    66.087] (II) intel(0): redX: 0.643 redY: 0.352   greenX: 0.283 greenY: 0.608
[    66.087] (II) intel(0): blueX: 0.147 blueY: 0.102   whiteX: 0.313 whiteY: 0.329
[    66.087] (II) intel(0): Supported established timings:
[    66.087] (II) intel(0): 720x400@70Hz
[    66.087] (II) intel(0): 640x480@60Hz
[    66.087] (II) intel(0): 640x480@67Hz
[    66.087] (II) intel(0): 640x480@72Hz
[    66.087] (II) intel(0): 640x480@75Hz
[    66.087] (II) intel(0): 800x600@56Hz
[    66.087] (II) intel(0): 800x600@60Hz
[    66.087] (II) intel(0): 800x600@72Hz
[    66.087] (II) intel(0): 800x600@75Hz
[    66.087] (II) intel(0): 832x624@75Hz
[    66.087] (II) intel(0): 1024x768@60Hz
[    66.087] (II) intel(0): 1024x768@70Hz
[    66.087] (II) intel(0): 1024x768@75Hz
[    66.087] (II) intel(0): Manufacturer's mask: 0
[    66.087] (II) intel(0): Supported standard timings:
[    66.087] (II) intel(0): #0: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
[    66.087] (II) intel(0): #1: hsize: 1152  vsize 864  refresh: 75  vid: 20337
[    66.087] (II) intel(0): Supported detailed timing:
[    66.087] (II) intel(0): clock: 108.0 MHz   Image Size:  338 x 270 mm
[    66.087] (II) intel(0): h_active: 1280  h_sync: 1328  h_sync_end 1440 h_blank_end 1688 h_border: 0
[    66.087] (II) intel(0): v_active: 1024  v_sync: 1025  v_sync_end 1028 v_blanking: 1066 v_border: 0
[    66.087] (II) intel(0): Ranges: V min: 56 V max: 76 Hz, H min: 30 H max: 82 kHz, PixClock max 145 MHz
[    66.087] (II) intel(0): Serial No: 0
[    66.087] (II) intel(0): Monitor name: LCM-17v8
[    66.087] (II) intel(0): EDID (in hex):
[    66.087] (II) intel(0): 	00ffffffffffff005c85081701010101
[    66.087] (II) intel(0): 	1010010380221b78ee8bc5a45a489b25
[    66.087] (II) intel(0): 	1a5054bfee008180714f010101010101
[    66.087] (II) intel(0): 	010101010101302a009851002a403070
[    66.087] (II) intel(0): 	1300520e1100001e000000fd00384c1e
[    66.087] (II) intel(0): 	520e000a202020202020000000ff0030
[    66.087] (II) intel(0): 	0a2020202020202020202020000000fc
[    66.087] (II) intel(0): 	004c434d2d313776380a202020200037
[    66.087] (II) intel(0): Printing probed modes for output DVI1
[    66.087] (II) intel(0): Modeline "1280x1024"x60.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz eP)
[    66.087] (II) intel(0): Modeline "1152x864"x75.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
[    66.087] (II) intel(0): Modeline "1024x768"x75.1   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.1 kHz e)
[    66.087] (II) intel(0): Modeline "1024x768"x70.1   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz e)
[    66.087] (II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
[    66.087] (II) intel(0): Modeline "832x624"x74.6   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz e)
[    66.087] (II) intel(0): Modeline "800x600"x72.2   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz e)
[    66.087] (II) intel(0): Modeline "800x600"x75.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
[    66.087] (II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
[    66.087] (II) intel(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz e)
[    66.087] (II) intel(0): Modeline "640x480"x72.8   31.50  640 664 704 832  480 489 491 520 -hsync -vsync (37.9 kHz e)
[    66.087] (II) intel(0): Modeline "640x480"x75.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
[    66.087] (II) intel(0): Modeline "640x480"x66.7   30.24  640 704 768 864  480 483 486 525 -hsync -vsync (35.0 kHz e)
[    66.087] (II) intel(0): Modeline "640x480"x60.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[    66.087] (II) intel(0): Modeline "720x400"x70.1   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
[    66.087] (II) intel(0): Output VGA1 disconnected
[    66.087] (II) intel(0): Output DVI1 connected
[    66.087] (II) intel(0): Using exact sizes for initial modes
[    66.087] (II) intel(0): Output DVI1 using initial mode 1280x1024 +0+0
[    66.087] (II) intel(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
[    66.087] (II) intel(0): Kernel page flipping support detected, enabling
[    66.087] (==) intel(0): DPI set to (96, 96)
[    66.087] (II) Loading sub module "fb"
[    66.087] (II) LoadModule: "fb"
[    66.088] (II) Loading /usr/lib64/xorg/modules/libfb.so
[    66.088] (II) Module fb: vendor="X.Org Foundation"
[    66.088] 	compiled for 1.12.0, module version = 1.0.0
[    66.088] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    66.088] (II) Loading sub module "dri2"
[    66.088] (II) LoadModule: "dri2"
[    66.088] (II) Loading /usr/lib64/xorg/modules/extensions/libdri2.so
[    66.088] (II) Module dri2: vendor="X.Org Foundation"
[    66.088] 	compiled for 1.12.0, module version = 1.2.0
[    66.088] 	ABI class: X.Org Server Extension, version 6.0
[    66.088] (II) UnloadModule: "vesa"
[    66.088] (II) Unloading vesa
[    66.088] (II) UnloadModule: "fbdev"
[    66.088] (II) Unloading fbdev
[    66.088] (II) UnloadSubModule: "fbdevhw"
[    66.088] (II) Unloading fbdevhw
[    66.088] (==) Depth 24 pixmap format is 32 bpp
[    66.088] (II) intel(0): [DRI2] Setup complete
[    66.088] (II) intel(0): [DRI2]   DRI driver: i965
[    66.088] (II) intel(0): Allocated new frame buffer 1280x1024 stride 5120, tiled
[    66.101] (II) UXA(0): Driver registered support for the following operations:
[    66.101] (II)         solid
[    66.101] (II)         copy
[    66.101] (II)         composite (RENDER acceleration)
[    66.101] (II)         put_image
[    66.101] (II)         get_image
[    66.101] (==) intel(0): Backing store disabled
[    66.101] (==) intel(0): Silken mouse enabled
[    66.101] (II) intel(0): Initializing HW Cursor
[    66.101] (II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[    66.101] (==) intel(0): DPMS enabled
[    66.101] (==) intel(0): Intel XvMC decoder enabled
[    66.101] (II) intel(0): Set up textured video
[    66.101] (II) intel(0): Set up overlay video
[    66.101] (II) intel(0): [XvMC] i965_xvmc driver initialized.
[    66.101] (II) intel(0): direct rendering: DRI2 Enabled
[    66.101] (==) intel(0): hotplug detection: "enabled"
[    66.121] (--) RandR disabled
[    66.121] (II) Initializing built-in extension Generic Event Extension
[    66.121] (II) Initializing built-in extension SHAPE
[    66.121] (II) Initializing built-in extension MIT-SHM
[    66.121] (II) Initializing built-in extension XInputExtension
[    66.121] (II) Initializing built-in extension XTEST
[    66.121] (II) Initializing built-in extension BIG-REQUESTS
[    66.121] (II) Initializing built-in extension SYNC
[    66.121] (II) Initializing built-in extension XKEYBOARD
[    66.121] (II) Initializing built-in extension XC-MISC
[    66.121] (II) Initializing built-in extension XINERAMA
[    66.121] (II) Initializing built-in extension XFIXES
[    66.121] (II) Initializing built-in extension RENDER
[    66.121] (II) Initializing built-in extension RANDR
[    66.121] (II) Initializing built-in extension COMPOSITE
[    66.121] (II) Initializing built-in extension DAMAGE
[    66.122] (II) SELinux: Disabled by boolean
[    66.136] (II) AIGLX: enabled GLX_MESA_copy_sub_buffer
[    66.136] (II) AIGLX: enabled GLX_INTEL_swap_event
[    66.136] (II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
[    66.136] (II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
[    66.137] (II) AIGLX: Loaded and initialized i965
[    66.137] (II) GLX: Initialized DRI2 GL provider for screen 0
[    66.137] (II) intel(0): Setting screen physical size to 338 x 270
[    66.165] (II) config/udev: Adding input device Power Button (/dev/input/event3)
[    66.165] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[    66.165] (**) Power Button: Applying InputClass "system-setup-keyboard"
[    66.165] (II) LoadModule: "evdev"
[    66.165] (II) Loading /usr/lib64/xorg/modules/input/evdev_drv.so
[    66.165] (II) Module evdev: vendor="X.Org Foundation"
[    66.165] 	compiled for 1.12.0, module version = 2.7.0
[    66.165] 	Module class: X.Org XInput Driver
[    66.166] 	ABI class: X.Org XInput driver, version 16.0
[    66.166] (II) Using input driver 'evdev' for 'Power Button'
[    66.166] (**) Power Button: always reports core events
[    66.166] (**) evdev: Power Button: Device: "/dev/input/event3"
[    66.166] (--) evdev: Power Button: Vendor 0 Product 0x1
[    66.166] (--) evdev: Power Button: Found keys
[    66.166] (II) evdev: Power Button: Configuring as keyboard
[    66.166] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3"
[    66.166] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 6)
[    66.166] (**) Option "xkb_rules" "evdev"
[    66.166] (**) Option "xkb_model" "pc105+inet"
[    66.166] (**) Option "xkb_layout" "us"
[    66.166] (**) Option "xkb_options" "terminate:ctrl_alt_bksp,"
[    66.190] (II) config/udev: Adding input device Video Bus (/dev/input/event4)
[    66.190] (**) Video Bus: Applying InputClass "evdev keyboard catchall"
[    66.190] (**) Video Bus: Applying InputClass "system-setup-keyboard"
[    66.190] (II) Using input driver 'evdev' for 'Video Bus'
[    66.190] (**) Video Bus: always reports core events
[    66.190] (**) evdev: Video Bus: Device: "/dev/input/event4"
[    66.190] (--) evdev: Video Bus: Vendor 0 Product 0x6
[    66.190] (--) evdev: Video Bus: Found keys
[    66.190] (II) evdev: Video Bus: Configuring as keyboard
[    66.190] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input4/event4"
[    66.190] (II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD, id 7)
[    66.190] (**) Option "xkb_rules" "evdev"
[    66.190] (**) Option "xkb_model" "pc105+inet"
[    66.190] (**) Option "xkb_layout" "us"
[    66.190] (**) Option "xkb_options" "terminate:ctrl_alt_bksp,"
[    66.191] (II) config/udev: Adding input device Power Button (/dev/input/event1)
[    66.191] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[    66.191] (**) Power Button: Applying InputClass "system-setup-keyboard"
[    66.191] (II) Using input driver 'evdev' for 'Power Button'
[    66.191] (**) Power Button: always reports core events
[    66.191] (**) evdev: Power Button: Device: "/dev/input/event1"
[    66.191] (--) evdev: Power Button: Vendor 0 Product 0x1
[    66.191] (--) evdev: Power Button: Found keys
[    66.191] (II) evdev: Power Button: Configuring as keyboard
[    66.191] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input1/event1"
[    66.191] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 8)
[    66.191] (**) Option "xkb_rules" "evdev"
[    66.191] (**) Option "xkb_model" "pc105+inet"
[    66.191] (**) Option "xkb_layout" "us"
[    66.191] (**) Option "xkb_options" "terminate:ctrl_alt_bksp,"
[    66.192] (II) config/udev: Adding input device Lid Switch (/dev/input/event0)
[    66.192] (II) No input driver specified, ignoring this device.
[    66.192] (II) This device may have been added with another device file.
[    66.192] (II) config/udev: Adding input device Sleep Button (/dev/input/event2)
[    66.192] (**) Sleep Button: Applying InputClass "evdev keyboard catchall"
[    66.192] (**) Sleep Button: Applying InputClass "system-setup-keyboard"
[    66.192] (II) Using input driver 'evdev' for 'Sleep Button'
[    66.192] (**) Sleep Button: always reports core events
[    66.192] (**) evdev: Sleep Button: Device: "/dev/input/event2"
[    66.192] (--) evdev: Sleep Button: Vendor 0 Product 0x3
[    66.192] (--) evdev: Sleep Button: Found keys
[    66.192] (II) evdev: Sleep Button: Configuring as keyboard
[    66.192] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input2/event2"
[    66.192] (II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD, id 9)
[    66.192] (**) Option "xkb_rules" "evdev"
[    66.192] (**) Option "xkb_model" "pc105+inet"
[    66.192] (**) Option "xkb_layout" "us"
[    66.192] (**) Option "xkb_options" "terminate:ctrl_alt_bksp,"
[    66.193] (II) config/udev: Adding input device HID 05ac:1000 (/dev/input/event5)
[    66.193] (**) HID 05ac:1000: Applying InputClass "evdev keyboard catchall"
[    66.193] (**) HID 05ac:1000: Applying InputClass "system-setup-keyboard"
[    66.193] (II) Using input driver 'evdev' for 'HID 05ac:1000'
[    66.193] (**) HID 05ac:1000: always reports core events
[    66.193] (**) evdev: HID 05ac:1000: Device: "/dev/input/event5"
[    66.193] (--) evdev: HID 05ac:1000: Vendor 0x5ac Product 0x1000
[    66.193] (--) evdev: HID 05ac:1000: Found keys
[    66.193] (II) evdev: HID 05ac:1000: Configuring as keyboard
[    66.193] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1:1.0/input/input5/event5"
[    66.193] (II) XINPUT: Adding extended input device "HID 05ac:1000" (type: KEYBOARD, id 10)
[    66.193] (**) Option "xkb_rules" "evdev"
[    66.193] (**) Option "xkb_model" "pc105+inet"
[    66.193] (**) Option "xkb_layout" "us"
[    66.193] (**) Option "xkb_options" "terminate:ctrl_alt_bksp,"
[    66.194] (II) config/udev: Adding input device HID 05ac:1000 (/dev/input/event6)
[    66.194] (**) HID 05ac:1000: Applying InputClass "evdev pointer catchall"
[    66.194] (II) Using input driver 'evdev' for 'HID 05ac:1000'
[    66.194] (**) HID 05ac:1000: always reports core events
[    66.194] (**) evdev: HID 05ac:1000: Device: "/dev/input/event6"
[    66.194] (--) evdev: HID 05ac:1000: Vendor 0x5ac Product 0x1000
[    66.194] (--) evdev: HID 05ac:1000: Found 9 mouse buttons
[    66.194] (--) evdev: HID 05ac:1000: Found relative axes
[    66.194] (--) evdev: HID 05ac:1000: Found x and y relative axes
[    66.194] (II) evdev: HID 05ac:1000: Configuring as mouse
[    66.194] (**) evdev: HID 05ac:1000: YAxisMapping: buttons 4 and 5
[    66.194] (**) evdev: HID 05ac:1000: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[    66.194] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1:1.1/input/input6/event6"
[    66.194] (II) XINPUT: Adding extended input device "HID 05ac:1000" (type: MOUSE, id 11)
[    66.194] (II) evdev: HID 05ac:1000: initialized for relative axes.
[    66.194] (**) HID 05ac:1000: (accel) keeping acceleration scheme 1
[    66.194] (**) HID 05ac:1000: (accel) acceleration profile 0
[    66.194] (**) HID 05ac:1000: (accel) acceleration factor: 2.000
[    66.194] (**) HID 05ac:1000: (accel) acceleration threshold: 4
[    66.194] (II) config/udev: Adding input device HID 05ac:1000 (/dev/input/mouse0)
[    66.194] (II) No input driver specified, ignoring this device.
[    66.194] (II) This device may have been added with another device file.
[    66.195] (II) config/udev: Adding input device Logitech Trackball (/dev/input/event7)
[    66.195] (**) Logitech Trackball: Applying InputClass "evdev pointer catchall"
[    66.195] (II) Using input driver 'evdev' for 'Logitech Trackball'
[    66.195] (**) Logitech Trackball: always reports core events
[    66.195] (**) evdev: Logitech Trackball: Device: "/dev/input/event7"
[    66.195] (--) evdev: Logitech Trackball: Vendor 0x46d Product 0xc404
[    66.195] (--) evdev: Logitech Trackball: Found 3 mouse buttons
[    66.195] (--) evdev: Logitech Trackball: Found scroll wheel(s)
[    66.195] (--) evdev: Logitech Trackball: Found relative axes
[    66.195] (--) evdev: Logitech Trackball: Found x and y relative axes
[    66.195] (II) evdev: Logitech Trackball: Configuring as mouse
[    66.195] (II) evdev: Logitech Trackball: Adding scrollwheel support
[    66.195] (**) evdev: Logitech Trackball: YAxisMapping: buttons 4 and 5
[    66.195] (**) evdev: Logitech Trackball: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[    66.195] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.0/usb5/5-1/5-1:1.0/input/input7/event7"
[    66.195] (II) XINPUT: Adding extended input device "Logitech Trackball" (type: MOUSE, id 12)
[    66.195] (II) evdev: Logitech Trackball: initialized for relative axes.
[    66.195] (**) Logitech Trackball: (accel) keeping acceleration scheme 1
[    66.195] (**) Logitech Trackball: (accel) acceleration profile 0
[    66.195] (**) Logitech Trackball: (accel) acceleration factor: 2.000
[    66.195] (**) Logitech Trackball: (accel) acceleration threshold: 4
[    66.196] (II) config/udev: Adding input device Logitech Trackball (/dev/input/mouse1)
[    66.196] (II) No input driver specified, ignoring this device.
[    66.196] (II) This device may have been added with another device file.
[    66.196] (II) config/udev: Adding input device Apple Computer Apple Internal Keyboard / Trackpad (/dev/input/event8)
[    66.196] (**) Apple Computer Apple Internal Keyboard / Trackpad: Applying InputClass "evdev keyboard catchall"
[    66.196] (**) Apple Computer Apple Internal Keyboard / Trackpad: Applying InputClass "system-setup-keyboard"
[    66.196] (II) Using input driver 'evdev' for 'Apple Computer Apple Internal Keyboard / Trackpad'
[    66.196] (**) Apple Computer Apple Internal Keyboard / Trackpad: always reports core events
[    66.196] (**) evdev: Apple Computer Apple Internal Keyboard / Trackpad: Device: "/dev/input/event8"
[    66.196] (--) evdev: Apple Computer Apple Internal Keyboard / Trackpad: Vendor 0x5ac Product 0x229
[    66.196] (--) evdev: Apple Computer Apple Internal Keyboard / Trackpad: Found keys
[    66.196] (II) evdev: Apple Computer Apple Internal Keyboard / Trackpad: Configuring as keyboard
[    66.196] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.2/usb7/7-2/7-2:1.0/input/input8/event8"
[    66.196] (II) XINPUT: Adding extended input device "Apple Computer Apple Internal Keyboard / Trackpad" (type: KEYBOARD, id 13)
[    66.196] (**) Option "xkb_rules" "evdev"
[    66.196] (**) Option "xkb_model" "pc105+inet"
[    66.196] (**) Option "xkb_layout" "us"
[    66.196] (**) Option "xkb_options" "terminate:ctrl_alt_bksp,"
[    66.197] (II) config/udev: Adding input device appletouch (/dev/input/event11)
[    66.197] (**) appletouch: Applying InputClass "evdev touchpad catchall"
[    66.197] (**) appletouch: Applying InputClass "touchpad catchall"
[    66.197] (**) appletouch: Applying InputClass "Default clickpad buttons"
[    66.197] (II) LoadModule: "synaptics"
[    66.197] (II) Loading /usr/lib64/xorg/modules/input/synaptics_drv.so
[    66.197] (II) Module synaptics: vendor="X.Org Foundation"
[    66.197] 	compiled for 1.12.0, module version = 1.6.0
[    66.197] 	Module class: X.Org XInput Driver
[    66.197] 	ABI class: X.Org XInput driver, version 16.0
[    66.197] (II) Using input driver 'synaptics' for 'appletouch'
[    66.197] (**) appletouch: always reports core events
[    66.197] (**) Option "Device" "/dev/input/event11"
[    66.225] (--) synaptics: appletouch: x-axis range 0 - 1215
[    66.225] (--) synaptics: appletouch: y-axis range 0 - 575
[    66.225] (--) synaptics: appletouch: pressure range 0 - 300
[    66.225] (II) synaptics: appletouch: device does not report finger width.
[    66.225] (--) synaptics: appletouch: buttons: left double triple
[    66.225] (--) synaptics: appletouch: Vendor 0x5ac Product 0x229
[    66.225] (--) synaptics: appletouch: invalid finger width range.  defaulting to 0 - 15
[    66.225] (--) synaptics: appletouch: touchpad found
[    66.225] (**) appletouch: always reports core events
[    66.241] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.2/usb7/7-2/7-2:1.1/input/input11/event11"
[    66.241] (II) XINPUT: Adding extended input device "appletouch" (type: TOUCHPAD, id 14)
[    66.241] (**) synaptics: appletouch: (accel) MinSpeed is now constant deceleration 2.5
[    66.241] (**) synaptics: appletouch: MaxSpeed is now 1.75
[    66.241] (**) synaptics: appletouch: AccelFactor is now 0.149
[    66.241] (**) appletouch: (accel) keeping acceleration scheme 1
[    66.241] (**) appletouch: (accel) acceleration profile 1
[    66.241] (**) appletouch: (accel) acceleration factor: 2.000
[    66.241] (**) appletouch: (accel) acceleration threshold: 4
[    66.241] (--) synaptics: appletouch: touchpad found
[    66.242] (II) config/udev: Adding input device appletouch (/dev/input/mouse2)
[    66.242] (II) No input driver specified, ignoring this device.
[    66.242] (II) This device may have been added with another device file.
[    66.243] (II) config/udev: Adding input device Apple Computer Apple Internal Keyboard / Trackpad (/dev/input/event9)
[    66.243] (**) Apple Computer Apple Internal Keyboard / Trackpad: Applying InputClass "evdev keyboard catchall"
[    66.243] (**) Apple Computer Apple Internal Keyboard / Trackpad: Applying InputClass "system-setup-keyboard"
[    66.243] (II) Using input driver 'evdev' for 'Apple Computer Apple Internal Keyboard / Trackpad'
[    66.243] (**) Apple Computer Apple Internal Keyboard / Trackpad: always reports core events
[    66.243] (**) evdev: Apple Computer Apple Internal Keyboard / Trackpad: Device: "/dev/input/event9"
[    66.243] (--) evdev: Apple Computer Apple Internal Keyboard / Trackpad: Vendor 0x5ac Product 0x229
[    66.243] (--) evdev: Apple Computer Apple Internal Keyboard / Trackpad: Found keys
[    66.243] (II) evdev: Apple Computer Apple Internal Keyboard / Trackpad: Configuring as keyboard
[    66.243] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.2/usb7/7-2/7-2:1.2/input/input9/event9"
[    66.243] (II) XINPUT: Adding extended input device "Apple Computer Apple Internal Keyboard / Trackpad" (type: KEYBOARD, id 15)
[    66.244] (**) Option "xkb_rules" "evdev"
[    66.244] (**) Option "xkb_model" "pc105+inet"
[    66.244] (**) Option "xkb_layout" "us"
[    66.244] (**) Option "xkb_options" "terminate:ctrl_alt_bksp,"
[    66.245] (II) config/udev: Adding input device applesmc (/dev/input/event10)
[    66.245] (II) No input driver specified, ignoring this device.
[    66.245] (II) This device may have been added with another device file.
[    66.446] (II) intel(0): EDID vendor "WDE", prod id 5896
[    66.446] (II) intel(0): Using EDID range info for horizontal sync
[    66.446] (II) intel(0): Using EDID range info for vertical refresh
[    66.446] (II) intel(0): Printing DDC gathered Modelines:
[    66.446] (II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz eP)
[    66.446] (II) intel(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
[    66.446] (II) intel(0): Modeline "800x600"x0.0   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz e)
[    66.446] (II) intel(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
[    66.446] (II) intel(0): Modeline "640x480"x0.0   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz e)
[    66.446] (II) intel(0): Modeline "640x480"x0.0   30.24  640 704 768 864  480 483 486 525 -hsync -vsync (35.0 kHz e)
[    66.446] (II) intel(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[    66.446] (II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
[    66.446] (II) intel(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
[    66.446] (II) intel(0): Modeline "1024x768"x0.0   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz e)
[    66.446] (II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
[    66.447] (II) intel(0): Modeline "832x624"x0.0   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz e)
[    66.447] (II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
[    66.447] (II) intel(0): Modeline "800x600"x0.0   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz e)
[    66.447] (II) intel(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
[    70.933] (II) intel(0): EDID vendor "WDE", prod id 5896
[    70.934] (II) intel(0): Using hsync ranges from config file
[    70.934] (II) intel(0): Using vrefresh ranges from config file
[    70.934] (II) intel(0): Printing DDC gathered Modelines:
[    70.934] (II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz eP)
[    70.934] (II) intel(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
[    70.934] (II) intel(0): Modeline "800x600"x0.0   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz e)
[    70.934] (II) intel(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
[    70.934] (II) intel(0): Modeline "640x480"x0.0   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz e)
[    70.934] (II) intel(0): Modeline "640x480"x0.0   30.24  640 704 768 864  480 483 486 525 -hsync -vsync (35.0 kHz e)
[    70.934] (II) intel(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[    70.934] (II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
[    70.934] (II) intel(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
[    70.934] (II) intel(0): Modeline "1024x768"x0.0   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz e)
[    70.934] (II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
[    70.934] (II) intel(0): Modeline "832x624"x0.0   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz e)
[    70.934] (II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
[    70.934] (II) intel(0): Modeline "800x600"x0.0   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz e)
[    70.934] (II) intel(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
[   107.934] (II) intel(0): EDID vendor "WDE", prod id 5896
[   107.934] (II) intel(0): Using hsync ranges from config file
[   107.934] (II) intel(0): Using vrefresh ranges from config file
[   107.934] (II) intel(0): Printing DDC gathered Modelines:
[   107.934] (II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz eP)
[   107.934] (II) intel(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
[   107.934] (II) intel(0): Modeline "800x600"x0.0   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz e)
[   107.934] (II) intel(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
[   107.934] (II) intel(0): Modeline "640x480"x0.0   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz e)
[   107.934] (II) intel(0): Modeline "640x480"x0.0   30.24  640 704 768 864  480 483 486 525 -hsync -vsync (35.0 kHz e)
[   107.934] (II) intel(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[   107.934] (II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
[   107.934] (II) intel(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
[   107.934] (II) intel(0): Modeline "1024x768"x0.0   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz e)
[   107.934] (II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
[   107.934] (II) intel(0): Modeline "832x624"x0.0   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz e)
[   107.934] (II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
[   107.934] (II) intel(0): Modeline "800x600"x0.0   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz e)
[   107.934] (II) intel(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
[   110.347] (II) intel(0): EDID vendor "WDE", prod id 5896
[   110.347] (II) intel(0): Using hsync ranges from config file
[   110.347] (II) intel(0): Using vrefresh ranges from config file
[   110.347] (II) intel(0): Printing DDC gathered Modelines:
[   110.347] (II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz eP)
[   110.347] (II) intel(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
[   110.347] (II) intel(0): Modeline "800x600"x0.0   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz e)
[   110.347] (II) intel(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
[   110.347] (II) intel(0): Modeline "640x480"x0.0   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz e)
[   110.347] (II) intel(0): Modeline "640x480"x0.0   30.24  640 704 768 864  480 483 486 525 -hsync -vsync (35.0 kHz e)
[   110.347] (II) intel(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[   110.347] (II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
[   110.347] (II) intel(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
[   110.347] (II) intel(0): Modeline "1024x768"x0.0   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz e)
[   110.347] (II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
[   110.347] (II) intel(0): Modeline "832x624"x0.0   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz e)
[   110.347] (II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
[   110.347] (II) intel(0): Modeline "800x600"x0.0   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz e)
[   110.347] (II) intel(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
[   110.669] (II) intel(0): EDID vendor "WDE", prod id 5896
[   110.669] (II) intel(0): Using hsync ranges from config file
[   110.669] (II) intel(0): Using vrefresh ranges from config file
[   110.669] (II) intel(0): Printing DDC gathered Modelines:
[   110.669] (II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz eP)
[   110.669] (II) intel(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
[   110.669] (II) intel(0): Modeline "800x600"x0.0   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz e)
[   110.669] (II) intel(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
[   110.670] (II) intel(0): Modeline "640x480"x0.0   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz e)
[   110.670] (II) intel(0): Modeline "640x480"x0.0   30.24  640 704 768 864  480 483 486 525 -hsync -vsync (35.0 kHz e)
[   110.670] (II) intel(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[   110.670] (II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
[   110.670] (II) intel(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
[   110.670] (II) intel(0): Modeline "1024x768"x0.0   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz e)
[   110.670] (II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
[   110.670] (II) intel(0): Modeline "832x624"x0.0   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz e)
[   110.670] (II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
[   110.670] (II) intel(0): Modeline "800x600"x0.0   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz e)
[   110.670] (II) intel(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
[   437.221] (II) intel(0): EDID vendor "WDE", prod id 5896
[   437.246] (II) intel(0): Using hsync ranges from config file
[   437.246] (II) intel(0): Using vrefresh ranges from config file
[   437.246] (II) intel(0): Printing DDC gathered Modelines:
[   437.246] (II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz eP)
[   437.246] (II) intel(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
[   437.246] (II) intel(0): Modeline "800x600"x0.0   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz e)
[   437.246] (II) intel(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
[   437.246] (II) intel(0): Modeline "640x480"x0.0   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz e)
[   437.246] (II) intel(0): Modeline "640x480"x0.0   30.24  640 704 768 864  480 483 486 525 -hsync -vsync (35.0 kHz e)
[   437.246] (II) intel(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[   437.246] (II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
[   437.246] (II) intel(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
[   437.246] (II) intel(0): Modeline "1024x768"x0.0   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz e)
[   437.246] (II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
[   437.246] (II) intel(0): Modeline "832x624"x0.0   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz e)
[   437.246] (II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
[   437.246] (II) intel(0): Modeline "800x600"x0.0   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz e)
[   437.246] (II) intel(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
[   469.462] (II) intel(0): EDID vendor "WDE", prod id 5896
[   469.462] (II) intel(0): Using hsync ranges from config file
[   469.462] (II) intel(0): Using vrefresh ranges from config file
[   469.462] (II) intel(0): Printing DDC gathered Modelines:
[   469.462] (II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz eP)
[   469.462] (II) intel(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
[   469.462] (II) intel(0): Modeline "800x600"x0.0   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz e)
[   469.462] (II) intel(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
[   469.462] (II) intel(0): Modeline "640x480"x0.0   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz e)
[   469.462] (II) intel(0): Modeline "640x480"x0.0   30.24  640 704 768 864  480 483 486 525 -hsync -vsync (35.0 kHz e)
[   469.462] (II) intel(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[   469.462] (II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
[   469.462] (II) intel(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
[   469.462] (II) intel(0): Modeline "1024x768"x0.0   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz e)
[   469.462] (II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
[   469.462] (II) intel(0): Modeline "832x624"x0.0   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz e)
[   469.462] (II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
[   469.462] (II) intel(0): Modeline "800x600"x0.0   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz e)
[   469.462] (II) intel(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
[   469.826] (II) intel(0): EDID vendor "WDE", prod id 5896
[   469.826] (II) intel(0): Using hsync ranges from config file
[   469.826] (II) intel(0): Using vrefresh ranges from config file
[   469.826] (II) intel(0): Printing DDC gathered Modelines:
[   469.826] (II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz eP)
[   469.826] (II) intel(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
[   469.826] (II) intel(0): Modeline "800x600"x0.0   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz e)
[   469.826] (II) intel(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
[   469.826] (II) intel(0): Modeline "640x480"x0.0   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz e)
[   469.826] (II) intel(0): Modeline "640x480"x0.0   30.24  640 704 768 864  480 483 486 525 -hsync -vsync (35.0 kHz e)
[   469.826] (II) intel(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[   469.826] (II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
[   469.827] (II) intel(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
[   469.827] (II) intel(0): Modeline "1024x768"x0.0   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz e)
[   469.827] (II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
[   469.827] (II) intel(0): Modeline "832x624"x0.0   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz e)
[   469.827] (II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
[   469.827] (II) intel(0): Modeline "800x600"x0.0   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz e)
[   469.827] (II) intel(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
[   470.029] (II) intel(0): EDID vendor "WDE", prod id 5896
[   470.029] (II) intel(0): Using hsync ranges from config file
[   470.029] (II) intel(0): Using vrefresh ranges from config file
[   470.029] (II) intel(0): Printing DDC gathered Modelines:
[   470.029] (II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz eP)
[   470.029] (II) intel(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
[   470.029] (II) intel(0): Modeline "800x600"x0.0   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz e)
[   470.029] (II) intel(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
[   470.029] (II) intel(0): Modeline "640x480"x0.0   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz e)
[   470.029] (II) intel(0): Modeline "640x480"x0.0   30.24  640 704 768 864  480 483 486 525 -hsync -vsync (35.0 kHz e)
[   470.029] (II) intel(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[   470.029] (II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
[   470.029] (II) intel(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
[   470.029] (II) intel(0): Modeline "1024x768"x0.0   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz e)
[   470.029] (II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
[   470.029] (II) intel(0): Modeline "832x624"x0.0   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz e)
[   470.029] (II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
[   470.029] (II) intel(0): Modeline "800x600"x0.0   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz e)
[   470.029] (II) intel(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
[  1054.155] (II) intel(0): EDID vendor "WDE", prod id 5896
[  1054.166] (II) intel(0): Using hsync ranges from config file
[  1054.166] (II) intel(0): Using vrefresh ranges from config file
[  1054.166] (II) intel(0): Printing DDC gathered Modelines:
[  1054.166] (II) intel(0): Modeline "1280x1024"x0.0  108.00  1280 1328 1440 1688  1024 1025 1028 1066 +hsync +vsync (64.0 kHz eP)
[  1054.166] (II) intel(0): Modeline "800x600"x0.0   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz e)
[  1054.166] (II) intel(0): Modeline "800x600"x0.0   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz e)
[  1054.166] (II) intel(0): Modeline "640x480"x0.0   31.50  640 656 720 840  480 481 484 500 -hsync -vsync (37.5 kHz e)
[  1054.166] (II) intel(0): Modeline "640x480"x0.0   31.50  640 664 704 832  480 489 492 520 -hsync -vsync (37.9 kHz e)
[  1054.166] (II) intel(0): Modeline "640x480"x0.0   30.24  640 704 768 864  480 483 486 525 -hsync -vsync (35.0 kHz e)
[  1054.166] (II) intel(0): Modeline "640x480"x0.0   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz e)
[  1054.166] (II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz e)
[  1054.166] (II) intel(0): Modeline "1024x768"x0.0   78.75  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.0 kHz e)
[  1054.166] (II) intel(0): Modeline "1024x768"x0.0   75.00  1024 1048 1184 1328  768 771 777 806 -hsync -vsync (56.5 kHz e)
[  1054.166] (II) intel(0): Modeline "1024x768"x0.0   65.00  1024 1048 1184 1344  768 771 777 806 -hsync -vsync (48.4 kHz e)
[  1054.166] (II) intel(0): Modeline "832x624"x0.0   57.28  832 864 928 1152  624 625 628 667 -hsync -vsync (49.7 kHz e)
[  1054.166] (II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz e)
[  1054.166] (II) intel(0): Modeline "800x600"x0.0   50.00  800 856 976 1040  600 637 643 666 +hsync +vsync (48.1 kHz e)
[  1054.166] (II) intel(0): Modeline "1152x864"x0.0  108.00  1152 1216 1344 1600  864 865 868 900 +hsync +vsync (67.5 kHz e)
Comment 4 Takanori MATSUURA 2012-06-05 06:10:43 EDT
(In reply to comment #2)

Can you try to push "ctrl+alt+fn+F3" keys?
If console is shown on the internal LCD, there is something wrong with xorg-x11-drv-intel or other xorg-x11 package(s). Otherwise, other components are wrong.
Comment 5 walker.aj325 2012-06-05 06:12:16 EDT
Nothing shows up on the interal LCD when I press those buttons.
Comment 6 Maxim Egorushkin 2012-06-17 16:57:46 EDT
I have a similar problem booting Live Fedora 17 CD and Fedora 17 DVD on MacBook 3,1 with

$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)

The screen goes blank when I suppose it switches to X. Hitting Ctrl+Alt+F3 or Fn-Ctrl+Alt+F3 doesn't produce any visible changes.

Currently I have Fedora 14 on it and it works fine.
Comment 7 Dave Vasilevsky 2012-07-01 20:47:20 EDT
I have this problem as well, on a MacBook4,1 with Intel GMA X3100 graphics.

The problem occurs in EFI mode, whether booting from USB or from CD. GRUB counts down to boot, then the CD thrashes for a bit, and I'm left with a totally blank screen.

Workarounds that are ok so far:

- Booting in BIOS mode works fine.

- Booting with an external monitor attached allows boot to work, but I can only see the external monitor. If I change VTs, the console is on the external monitor, the internal LCD remains blank. Same xrandr output as walker.aj above.

- Using GRUB 2 to boot works fine. (I used a grml CD to get to GRUB 2, and then manually told GRUB to boot from a Fedora 17 USB key.) This leads me to believe the problem is in the bootloader, maybe GRUB 0.97 is not loading the right graphics mode? I think these MacBooks use UGA, not GOP.

I have yet to try other versions of Fedora, only 17. I also haven't yet tried installing to the hard disk.
Comment 8 Dave Vasilevsky 2012-07-02 04:17:10 EDT
Installing to the hard disk hasn't helped, I can still only boot with an external monitor or GRUB 2.

My MacBook4,1 does indeed use UGA. When booting with GRUB 2, which works fine, dmesg shows that it's using efifb with parameters { base = 0xc0000000, stride = 2048 * 4, width = 1280, height = 800 }.

I've tried adding these parameters to the kernel's drivers/video/efifb.c, but it doesn't seem to have helped at all when booting with GRUB Legacy. I don't even see anything at all in dmesg relating to efifb. When I specify 'video=efifb', the kernel spits out "parse error at position 4 in video mode 'efifb'", which isn't terribly useful.
Comment 9 Alexander Dutton 2012-07-02 05:08:44 EDT
I had similar trouble — blank internal LCD on a MacBook 3.1 when EFI booting F16 and F17, but external monitor fine. I was unable to get it to boot F17 using rEFIt's legacy boot option.

I've worked around it by installing F17 using an external monitor, and then forcibly removing grub2, replacing it with grub-legacy from F15 so I could legacy boot.
Comment 10 Takanori MATSUURA 2012-07-03 07:38:35 EDT
I suppose this bug is related with the bug 743330 if grub legacy causes this issue.
Comment 11 Takanori MATSUURA 2012-07-17 12:08:15 EDT
BTW, why grub-efi legacy is installed as a boot loader instead of grub2-efi?
Comment 12 Takanori MATSUURA 2012-12-21 04:51:21 EST
Internal display shows nothing on MacBook3,1 with f18-TC3 installer.
Comment 13 Adam Williamson 2012-12-31 19:16:26 EST
If this is not a regression and is restricted to certain Macbook models, -1 blocker.
Comment 14 Alexander Dutton 2013-01-01 08:05:05 EST
Sorry; booting with grub-legacy results in a machine where the internal display works; grub2/EFI doesn't. It was a regression from F15 to F16 on now five-year old hardware (in my case). While I'd like to see it fixed, there are probably very few of us affected, and it's been like this for two releases already.
Comment 15 Adam Williamson 2013-01-02 14:11:47 EST
Discussed at 2013-01-02 blocker review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2013-01-02/f18final-blocker-review-8.2013-01-02-17.03.log.txt . Rejected as a blocker as this looks to be pretty hardware-specific and not a regression compared to 17.
Comment 16 Maxim Egorushkin 2013-01-23 17:40:41 EST
Could not install Fedora 18 on MacBook 3,1 either.

Ended up installing Kubuntu 12.10. It booted live OS straight from USB and installed with not a glitch.
Comment 17 Diego Escalante Urrelo 2013-03-28 05:07:16 EDT
Created attachment 717530 [details]
Short video of the graphic corruption I´m seeing

Hi,

apparently I´m seeing something really strange on my macbook3,1

I´m attaching a video of what it looks like immediately after some seconds of loading just after the GRUB prompt. The "_" cursor sits there for a few seconds and this starts happening.

It seems like some kind of EFI graphics bug. This machine does 64 bits EFI. I actually got it running with Debian a while ago:
http://blogs.gnome.org/diegoe/2012/11/16/efi-mode-boot-on-macbook31-with-debian/

Please notice that the weird lines, and "burn in", and "fades", are not a video artifact. This is as bad as it happens.

I have not tried BIOS boot because this macbook does not recognize BIOS boot from USB. Although, to be honest, this clearly seems like some graphics init screw up.

I have tried loading only efi_uga module and even removing the gfxpayload=keep line, trying to emulate my Debian setup. This didn´t help though.

I hope this is not off-topic for the bug, apparently some others have tried to install on this same macbook model, there´s a bug with similar issues but on a more modern macbook: bug #765954.

Thanks!
Comment 18 Diego Escalante Urrelo 2013-08-01 02:14:46 EDT
I'm happy to report that Fedora 19 live USB boot works fine with EFI.

No more acid trips on the screen.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.